// Generated by util/cmd-name.pl

{CMD_NO_CMD_DEFAULT, "CMD_NO_CMD_DEFAULT"},
{CMD_MOVE_NOWHERE, "CMD_MOVE_NOWHERE"},
{CMD_MOVE_LEFT, "CMD_MOVE_LEFT"},
{CMD_MOVE_DOWN, "CMD_MOVE_DOWN"},
{CMD_MOVE_UP, "CMD_MOVE_UP"},
{CMD_MOVE_RIGHT, "CMD_MOVE_RIGHT"},
{CMD_MOVE_UP_LEFT, "CMD_MOVE_UP_LEFT"},
{CMD_MOVE_DOWN_LEFT, "CMD_MOVE_DOWN_LEFT"},
{CMD_MOVE_UP_RIGHT, "CMD_MOVE_UP_RIGHT"},
{CMD_MOVE_DOWN_RIGHT, "CMD_MOVE_DOWN_RIGHT"},
{CMD_RUN_LEFT, "CMD_RUN_LEFT"},
{CMD_RUN_DOWN, "CMD_RUN_DOWN"},
{CMD_RUN_UP, "CMD_RUN_UP"},
{CMD_RUN_RIGHT, "CMD_RUN_RIGHT"},
{CMD_RUN_UP_LEFT, "CMD_RUN_UP_LEFT"},
{CMD_RUN_DOWN_LEFT, "CMD_RUN_DOWN_LEFT"},
{CMD_RUN_UP_RIGHT, "CMD_RUN_UP_RIGHT"},
{CMD_RUN_DOWN_RIGHT, "CMD_RUN_DOWN_RIGHT"},
{CMD_OPEN_DOOR_LEFT, "CMD_OPEN_DOOR_LEFT"},
{CMD_OPEN_DOOR_DOWN, "CMD_OPEN_DOOR_DOWN"},
{CMD_OPEN_DOOR_UP, "CMD_OPEN_DOOR_UP"},
{CMD_OPEN_DOOR_RIGHT, "CMD_OPEN_DOOR_RIGHT"},
{CMD_OPEN_DOOR_UP_LEFT, "CMD_OPEN_DOOR_UP_LEFT"},
{CMD_OPEN_DOOR_DOWN_LEFT, "CMD_OPEN_DOOR_DOWN_LEFT"},
{CMD_OPEN_DOOR_UP_RIGHT, "CMD_OPEN_DOOR_UP_RIGHT"},
{CMD_OPEN_DOOR_DOWN_RIGHT, "CMD_OPEN_DOOR_DOWN_RIGHT"},
{CMD_OPEN_DOOR, "CMD_OPEN_DOOR"},
{CMD_CLOSE_DOOR, "CMD_CLOSE_DOOR"},
{CMD_REST, "CMD_REST"},
{CMD_GO_UPSTAIRS, "CMD_GO_UPSTAIRS"},
{CMD_GO_DOWNSTAIRS, "CMD_GO_DOWNSTAIRS"},
{CMD_TOGGLE_AUTOPICKUP, "CMD_TOGGLE_AUTOPICKUP"},
{CMD_TOGGLE_FRIENDLY_PICKUP, "CMD_TOGGLE_FRIENDLY_PICKUP"},
{CMD_PICKUP, "CMD_PICKUP"},
{CMD_PICKUP_QUANTITY, "CMD_PICKUP_QUANTITY"},
{CMD_DROP, "CMD_DROP"},
{CMD_BUTCHER, "CMD_BUTCHER"},
{CMD_INSPECT_FLOOR, "CMD_INSPECT_FLOOR"},
{CMD_SHOW_TERRAIN, "CMD_SHOW_TERRAIN"},
{CMD_FULL_VIEW, "CMD_FULL_VIEW"},
{CMD_EXAMINE_OBJECT, "CMD_EXAMINE_OBJECT"},
{CMD_EVOKE, "CMD_EVOKE"},
{CMD_EVOKE_WIELDED, "CMD_EVOKE_WIELDED"},
{CMD_WIELD_WEAPON, "CMD_WIELD_WEAPON"},
{CMD_WEAPON_SWAP, "CMD_WEAPON_SWAP"},
{CMD_FIRE, "CMD_FIRE"},
{CMD_QUIVER_ITEM, "CMD_QUIVER_ITEM"},
{CMD_THROW_ITEM_NO_QUIVER, "CMD_THROW_ITEM_NO_QUIVER"},
{CMD_WEAR_ARMOUR, "CMD_WEAR_ARMOUR"},
{CMD_REMOVE_ARMOUR, "CMD_REMOVE_ARMOUR"},
{CMD_WEAR_JEWELLERY, "CMD_WEAR_JEWELLERY"},
{CMD_REMOVE_JEWELLERY, "CMD_REMOVE_JEWELLERY"},
{CMD_CYCLE_QUIVER_FORWARD, "CMD_CYCLE_QUIVER_FORWARD"},
{CMD_CYCLE_QUIVER_BACKWARD, "CMD_CYCLE_QUIVER_BACKWARD"},
{CMD_LIST_WEAPONS, "CMD_LIST_WEAPONS"},
{CMD_LIST_ARMOUR, "CMD_LIST_ARMOUR"},
{CMD_LIST_JEWELLERY, "CMD_LIST_JEWELLERY"},
{CMD_LIST_EQUIPMENT, "CMD_LIST_EQUIPMENT"},
{CMD_LIST_GOLD, "CMD_LIST_GOLD"},
{CMD_ZAP_WAND, "CMD_ZAP_WAND"},
{CMD_CAST_SPELL, "CMD_CAST_SPELL"},
{CMD_FORCE_CAST_SPELL, "CMD_FORCE_CAST_SPELL"},
{CMD_MEMORISE_SPELL, "CMD_MEMORISE_SPELL"},
{CMD_USE_ABILITY, "CMD_USE_ABILITY"},
{CMD_PRAY, "CMD_PRAY"},
{CMD_EAT, "CMD_EAT"},
{CMD_QUAFF, "CMD_QUAFF"},
{CMD_READ, "CMD_READ"},
{CMD_LOOK_AROUND, "CMD_LOOK_AROUND"},
{CMD_SEARCH, "CMD_SEARCH"},
{CMD_SHOUT, "CMD_SHOUT"},
{CMD_DISARM_TRAP, "CMD_DISARM_TRAP"},
{CMD_CHARACTER_DUMP, "CMD_CHARACTER_DUMP"},
{CMD_DISPLAY_COMMANDS, "CMD_DISPLAY_COMMANDS"},
{CMD_DISPLAY_INVENTORY, "CMD_DISPLAY_INVENTORY"},
{CMD_DISPLAY_KNOWN_OBJECTS, "CMD_DISPLAY_KNOWN_OBJECTS"},
{CMD_DISPLAY_MUTATIONS, "CMD_DISPLAY_MUTATIONS"},
{CMD_DISPLAY_SKILLS, "CMD_DISPLAY_SKILLS"},
{CMD_DISPLAY_MAP, "CMD_DISPLAY_MAP"},
{CMD_DISPLAY_OVERMAP, "CMD_DISPLAY_OVERMAP"},
{CMD_DISPLAY_RELIGION, "CMD_DISPLAY_RELIGION"},
{CMD_DISPLAY_CHARACTER_STATUS, "CMD_DISPLAY_CHARACTER_STATUS"},
{CMD_DISPLAY_SPELLS, "CMD_DISPLAY_SPELLS"},
{CMD_EXPERIENCE_CHECK, "CMD_EXPERIENCE_CHECK"},
{CMD_ADJUST_INVENTORY, "CMD_ADJUST_INVENTORY"},
{CMD_REPLAY_MESSAGES, "CMD_REPLAY_MESSAGES"},
{CMD_REDRAW_SCREEN, "CMD_REDRAW_SCREEN"},
{CMD_MACRO_ADD, "CMD_MACRO_ADD"},
{CMD_SAVE_GAME, "CMD_SAVE_GAME"},
{CMD_SAVE_GAME_NOW, "CMD_SAVE_GAME_NOW"},
{CMD_SUSPEND_GAME, "CMD_SUSPEND_GAME"},
{CMD_QUIT, "CMD_QUIT"},
{CMD_WIZARD, "CMD_WIZARD"},
{CMD_DESTROY_ITEM, "CMD_DESTROY_ITEM"},
{CMD_FORGET_STASH, "CMD_FORGET_STASH"},
{CMD_SEARCH_STASHES, "CMD_SEARCH_STASHES"},
{CMD_EXPLORE, "CMD_EXPLORE"},
{CMD_INTERLEVEL_TRAVEL, "CMD_INTERLEVEL_TRAVEL"},
{CMD_FIX_WAYPOINT, "CMD_FIX_WAYPOINT"},
{CMD_CLEAR_MAP, "CMD_CLEAR_MAP"},
{CMD_INSCRIBE_ITEM, "CMD_INSCRIBE_ITEM"},
{CMD_MAKE_NOTE, "CMD_MAKE_NOTE"},
{CMD_RESISTS_SCREEN, "CMD_RESISTS_SCREEN"},
{CMD_READ_MESSAGES, "CMD_READ_MESSAGES"},
{CMD_MOUSE_MOVE, "CMD_MOUSE_MOVE"},
{CMD_MOUSE_CLICK, "CMD_MOUSE_CLICK"},
{CMD_ANNOTATE_LEVEL, "CMD_ANNOTATE_LEVEL"},
#ifdef CLUA_BINDINGS
{CMD_AUTOFIGHT, "CMD_AUTOFIGHT"},
#endif
#ifdef USE_TILE
{CMD_EDIT_PLAYER_TILE, "CMD_EDIT_PLAYER_TILE"},
#endif
{CMD_PREV_CMD_AGAIN, "CMD_PREV_CMD_AGAIN"},
{CMD_REPEAT_CMD, "CMD_REPEAT_CMD"},
{CMD_MAP_CLEAR_MAP, "CMD_MAP_CLEAR_MAP"},
{CMD_MAP_ADD_WAYPOINT, "CMD_MAP_ADD_WAYPOINT"},
{CMD_MAP_EXCLUDE_AREA, "CMD_MAP_EXCLUDE_AREA"},
{CMD_MAP_CLEAR_EXCLUDES, "CMD_MAP_CLEAR_EXCLUDES"},
{CMD_MAP_EXCLUDE_RADIUS, "CMD_MAP_EXCLUDE_RADIUS"},
{CMD_MAP_MOVE_LEFT, "CMD_MAP_MOVE_LEFT"},
{CMD_MAP_MOVE_DOWN, "CMD_MAP_MOVE_DOWN"},
{CMD_MAP_MOVE_UP, "CMD_MAP_MOVE_UP"},
{CMD_MAP_MOVE_RIGHT, "CMD_MAP_MOVE_RIGHT"},
{CMD_MAP_MOVE_UP_LEFT, "CMD_MAP_MOVE_UP_LEFT"},
{CMD_MAP_MOVE_DOWN_LEFT, "CMD_MAP_MOVE_DOWN_LEFT"},
{CMD_MAP_MOVE_UP_RIGHT, "CMD_MAP_MOVE_UP_RIGHT"},
{CMD_MAP_MOVE_DOWN_RIGHT, "CMD_MAP_MOVE_DOWN_RIGHT"},
{CMD_MAP_JUMP_LEFT, "CMD_MAP_JUMP_LEFT"},
{CMD_MAP_JUMP_DOWN, "CMD_MAP_JUMP_DOWN"},
{CMD_MAP_JUMP_UP, "CMD_MAP_JUMP_UP"},
{CMD_MAP_JUMP_RIGHT, "CMD_MAP_JUMP_RIGHT"},
{CMD_MAP_JUMP_UP_LEFT, "CMD_MAP_JUMP_UP_LEFT"},
{CMD_MAP_JUMP_DOWN_LEFT, "CMD_MAP_JUMP_DOWN_LEFT"},
{CMD_MAP_JUMP_UP_RIGHT, "CMD_MAP_JUMP_UP_RIGHT"},
{CMD_MAP_JUMP_DOWN_RIGHT, "CMD_MAP_JUMP_DOWN_RIGHT"},
{CMD_MAP_NEXT_LEVEL, "CMD_MAP_NEXT_LEVEL"},
{CMD_MAP_PREV_LEVEL, "CMD_MAP_PREV_LEVEL"},
{CMD_MAP_GOTO_LEVEL, "CMD_MAP_GOTO_LEVEL"},
{CMD_MAP_SCROLL_DOWN, "CMD_MAP_SCROLL_DOWN"},
{CMD_MAP_SCROLL_UP, "CMD_MAP_SCROLL_UP"},
{CMD_MAP_FIND_UPSTAIR, "CMD_MAP_FIND_UPSTAIR"},
{CMD_MAP_FIND_DOWNSTAIR, "CMD_MAP_FIND_DOWNSTAIR"},
{CMD_MAP_FIND_YOU, "CMD_MAP_FIND_YOU"},
{CMD_MAP_FIND_PORTAL, "CMD_MAP_FIND_PORTAL"},
{CMD_MAP_FIND_TRAP, "CMD_MAP_FIND_TRAP"},
{CMD_MAP_FIND_ALTAR, "CMD_MAP_FIND_ALTAR"},
{CMD_MAP_FIND_EXCLUDED, "CMD_MAP_FIND_EXCLUDED"},
{CMD_MAP_FIND_F, "CMD_MAP_FIND_F"},
{CMD_MAP_FIND_WAYPOINT, "CMD_MAP_FIND_WAYPOINT"},
{CMD_MAP_FIND_STASH, "CMD_MAP_FIND_STASH"},
{CMD_MAP_FIND_STASH_REVERSE, "CMD_MAP_FIND_STASH_REVERSE"},
{CMD_MAP_GOTO_TARGET, "CMD_MAP_GOTO_TARGET"},
{CMD_MAP_WIZARD_TELEPORT, "CMD_MAP_WIZARD_TELEPORT"},
{CMD_MAP_HELP, "CMD_MAP_HELP"},
{CMD_MAP_FORGET, "CMD_MAP_FORGET"},
{CMD_MAP_EXIT_MAP, "CMD_MAP_EXIT_MAP"},
{CMD_TARGET_DOWN_LEFT, "CMD_TARGET_DOWN_LEFT"},
{CMD_TARGET_DOWN, "CMD_TARGET_DOWN"},
{CMD_TARGET_DOWN_RIGHT, "CMD_TARGET_DOWN_RIGHT"},
{CMD_TARGET_LEFT, "CMD_TARGET_LEFT"},
{CMD_TARGET_RIGHT, "CMD_TARGET_RIGHT"},
{CMD_TARGET_UP_LEFT, "CMD_TARGET_UP_LEFT"},
{CMD_TARGET_UP, "CMD_TARGET_UP"},
{CMD_TARGET_UP_RIGHT, "CMD_TARGET_UP_RIGHT"},
{CMD_TARGET_DIR_DOWN_LEFT, "CMD_TARGET_DIR_DOWN_LEFT"},
{CMD_TARGET_DIR_DOWN, "CMD_TARGET_DIR_DOWN"},
{CMD_TARGET_DIR_DOWN_RIGHT, "CMD_TARGET_DIR_DOWN_RIGHT"},
{CMD_TARGET_DIR_LEFT, "CMD_TARGET_DIR_LEFT"},
{CMD_TARGET_DIR_RIGHT, "CMD_TARGET_DIR_RIGHT"},
{CMD_TARGET_DIR_UP_LEFT, "CMD_TARGET_DIR_UP_LEFT"},
{CMD_TARGET_DIR_UP, "CMD_TARGET_DIR_UP"},
{CMD_TARGET_DIR_UP_RIGHT, "CMD_TARGET_DIR_UP_RIGHT"},
{CMD_TARGET_DESCRIBE, "CMD_TARGET_DESCRIBE"},
{CMD_TARGET_CYCLE_TARGET_MODE, "CMD_TARGET_CYCLE_TARGET_MODE"},
{CMD_TARGET_PREV_TARGET, "CMD_TARGET_PREV_TARGET"},
{CMD_TARGET_MAYBE_PREV_TARGET, "CMD_TARGET_MAYBE_PREV_TARGET"},
{CMD_TARGET_SELECT, "CMD_TARGET_SELECT"},
{CMD_TARGET_SELECT_ENDPOINT, "CMD_TARGET_SELECT_ENDPOINT"},
{CMD_TARGET_SELECT_FORCE, "CMD_TARGET_SELECT_FORCE"},
{CMD_TARGET_SELECT_FORCE_ENDPOINT, "CMD_TARGET_SELECT_FORCE_ENDPOINT"},
{CMD_TARGET_OBJ_CYCLE_BACK, "CMD_TARGET_OBJ_CYCLE_BACK"},
{CMD_TARGET_OBJ_CYCLE_FORWARD, "CMD_TARGET_OBJ_CYCLE_FORWARD"},
{CMD_TARGET_CYCLE_FORWARD, "CMD_TARGET_CYCLE_FORWARD"},
{CMD_TARGET_CYCLE_BACK, "CMD_TARGET_CYCLE_BACK"},
{CMD_TARGET_CYCLE_BEAM, "CMD_TARGET_CYCLE_BEAM"},
{CMD_TARGET_CYCLE_MLIST, "CMD_TARGET_CYCLE_MLIST"},
{CMD_TARGET_CYCLE_MLIST_END, "CMD_TARGET_CYCLE_MLIST_END"},
{CMD_TARGET_TOGGLE_MLIST, "CMD_TARGET_TOGGLE_MLIST"},
{CMD_TARGET_TOGGLE_BEAM, "CMD_TARGET_TOGGLE_BEAM"},
{CMD_TARGET_CANCEL, "CMD_TARGET_CANCEL"},
{CMD_TARGET_SHOW_PROMPT, "CMD_TARGET_SHOW_PROMPT"},
{CMD_TARGET_OLD_SPACE, "CMD_TARGET_OLD_SPACE"},
{CMD_TARGET_EXCLUDE, "CMD_TARGET_EXCLUDE"},
{CMD_TARGET_FIND_TRAP, "CMD_TARGET_FIND_TRAP"},
{CMD_TARGET_FIND_PORTAL, "CMD_TARGET_FIND_PORTAL"},
{CMD_TARGET_FIND_ALTAR, "CMD_TARGET_FIND_ALTAR"},
{CMD_TARGET_FIND_UPSTAIR, "CMD_TARGET_FIND_UPSTAIR"},
{CMD_TARGET_FIND_DOWNSTAIR, "CMD_TARGET_FIND_DOWNSTAIR"},
{CMD_TARGET_FIND_YOU, "CMD_TARGET_FIND_YOU"},
{CMD_TARGET_WIZARD_MAKE_FRIENDLY, "CMD_TARGET_WIZARD_MAKE_FRIENDLY"},
{CMD_TARGET_WIZARD_BLESS_MONSTER, "CMD_TARGET_WIZARD_BLESS_MONSTER"},
{CMD_TARGET_WIZARD_MAKE_SHOUT, "CMD_TARGET_WIZARD_MAKE_SHOUT"},
{CMD_TARGET_WIZARD_GIVE_ITEM, "CMD_TARGET_WIZARD_GIVE_ITEM"},
{CMD_TARGET_WIZARD_MOVE, "CMD_TARGET_WIZARD_MOVE"},
{CMD_TARGET_WIZARD_PATHFIND, "CMD_TARGET_WIZARD_PATHFIND"},
{CMD_TARGET_WIZARD_GAIN_LEVEL, "CMD_TARGET_WIZARD_GAIN_LEVEL"},
{CMD_TARGET_WIZARD_MISCAST, "CMD_TARGET_WIZARD_MISCAST"},
{CMD_TARGET_WIZARD_MAKE_SUMMONED, "CMD_TARGET_WIZARD_MAKE_SUMMONED"},
{CMD_TARGET_WIZARD_POLYMORPH, "CMD_TARGET_WIZARD_POLYMORPH"},
{CMD_TARGET_WIZARD_DEBUG_MONSTER, "CMD_TARGET_WIZARD_DEBUG_MONSTER"},
{CMD_TARGET_WIZARD_HURT_MONSTER, "CMD_TARGET_WIZARD_HURT_MONSTER"},
{CMD_TARGET_WIZARD_DEBUG_PORTAL, "CMD_TARGET_WIZARD_DEBUG_PORTAL"},
{CMD_TARGET_MOUSE_MOVE, "CMD_TARGET_MOUSE_MOVE"},
{CMD_TARGET_MOUSE_SELECT, "CMD_TARGET_MOUSE_SELECT"},
{CMD_TARGET_HELP, "CMD_TARGET_HELP"},
#ifdef USE_TILE
{CMD_DOLL_RANDOMIZE, "CMD_DOLL_RANDOMIZE"},
{CMD_DOLL_SELECT_NEXT_DOLL, "CMD_DOLL_SELECT_NEXT_DOLL"},
{CMD_DOLL_SELECT_PREV_DOLL, "CMD_DOLL_SELECT_PREV_DOLL"},
{CMD_DOLL_SELECT_NEXT_PART, "CMD_DOLL_SELECT_NEXT_PART"},
{CMD_DOLL_SELECT_PREV_PART, "CMD_DOLL_SELECT_PREV_PART"},
{CMD_DOLL_CHANGE_PART_NEXT, "CMD_DOLL_CHANGE_PART_NEXT"},
{CMD_DOLL_CHANGE_PART_PREV, "CMD_DOLL_CHANGE_PART_PREV"},
{CMD_DOLL_CONFIRM_CHOICE, "CMD_DOLL_CONFIRM_CHOICE"},
{CMD_DOLL_COPY, "CMD_DOLL_COPY"},
{CMD_DOLL_PASTE, "CMD_DOLL_PASTE"},
{CMD_DOLL_TAKE_OFF, "CMD_DOLL_TAKE_OFF"},
{CMD_DOLL_TAKE_OFF_ALL, "CMD_DOLL_TAKE_OFF_ALL"},
{CMD_DOLL_TOGGLE_EQUIP, "CMD_DOLL_TOGGLE_EQUIP"},
{CMD_DOLL_TOGGLE_EQUIP_ALL, "CMD_DOLL_TOGGLE_EQUIP_ALL"},
{CMD_DOLL_JOB_DEFAULT, "CMD_DOLL_JOB_DEFAULT"},
{CMD_DOLL_CHANGE_MODE, "CMD_DOLL_CHANGE_MODE"},
{CMD_DOLL_SAVE, "CMD_DOLL_SAVE"},
{CMD_DOLL_QUIT, "CMD_DOLL_QUIT"},
#endif

{CMD_NO_CMD, NULL}
